## ros-humble-pmb2-description 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_description)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()


#############
## Testing ##
#############

if(BUILD_TESTING)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  foreach(laser_model no-laser hokuyo sick-551 sick-561 sick-571)
      foreach(courier_rgbd_sensors False True)
      add_launch_test(
        test/test_description.launch.py
        TARGET "pmb2_description_${laser_model}_${courier_rgbd_sensors}"
        ARGS "laser_model:=${laser_model}" "courier_rgbd_sensors:=${courier_rgbd_sensors}"
      )
      endforeach()
  endforeach()
endif()

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

ament_auto_package(INSTALL_TO_SHARE config gazebo launch Media meshes robots ros2_control urdf)

=== debian/changelog ===
ros-humble-pmb2-description (5.0.7-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.6-1jammy) jammy; urgency=high

  * remove namespace for base sonars
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 May 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.4-1jammy) jammy; urgency=high

  * fix indentation
  * fix odometry plugin tags
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.3-1jammy) jammy; urgency=high

  * rename motors to actuators
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.0-1jammy) jammy; urgency=high

  * Merge branch 'transmissions' into 'humble-devel'
    Update wheels transmissions
    See merge request robots/pmb2_robot!91
  * update wheels transmissions
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-description (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    update package.xml deps, indentation fix
    See merge request robots/pmb2_robot!85
  * indentation fix
  * update package.xml deps
  * Merge branch 'fix_gz_physics' into 'humble-devel'
    Tune wheels physics to avoid slippage
    See merge request robots/pmb2_robot!84
  * tune wheels physics to avoid slippage
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_robot!82
  * update copyright
  * Merge branch 'refactor_ld_population' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_robot!81
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_robot!80
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    humble distro fixes
    See merge request robots/pmb2_robot!79
  * linters
  * launch files refactor
  * material Black
  * Merge branch 'pmb2_launcher' into 'galactic-devel'
    pmb2 launcher
    See merge request robots/pmb2_robot!76
  * robot control plugin if no simulation
  * Merge branch 'use-world-odometry-ros2' into 'foxy-devel'
    use our world odometry plugin
    See merge request robots/pmb2_robot!72
  * use our world odometry plugin
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-description (4.0.4-1jammy) jammy; urgency=high

  * Add missing exec dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.3-1jammy) jammy; urgency=high

  * Update to new transmission format
  * Cleanup
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.2-1jammy) jammy; urgency=high

  * Fix typo
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.1-1jammy) jammy; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.0-1jammy) jammy; urgency=high

  * Set back old version number before release
  * Restructuring code and add description test
  * No laser value is 'no-laser', change rgbd_sensors to courier_rgbd_sensors
  * Tune a bit physics to avoid joint slippage, specially in TIAGo
  * Correct physic property names for newer gazebo
  * Add ROS2 control imu
  * Add imu plugin
  * Migrate rest of lasers to ROS2
  * Renamed end_effector argument
  * Format
  * Fixed some tiago arguments
  * Add linters to pmb2_description and apply fixes
  * Move param utils to launch_pal
  * Add show.launch.py
  * Remove gazebo laser plugin namespace
  * Merge branch 'single_ros2_control_system' into 'foxy-devel'
    Single ROS2 control system
    See merge request robots/pmb2_robot!65
  * All joints now form part of a single ros2_control system
  * Fixes to gazebo ros2 control param changes
  * Update how ros2 gazebo plugin is loaded
  * Add wheel ros2_control file
  * First working version
  * Remove comments to workaround https://github.com/ros2/launch_ros/issues/214
  * First WIP of upload.py
  * Contributors: Jordan Palacios, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (3.0.14-1jammy) jammy; urgency=high

  * Merge branch 'fix_wheel_slippage' into 'erbium-devel'
    Fix wheel slippage
    See merge request robots/pmb2_robot!62
  * Tuning mu1,mu2 parameters for reducing slippage during pure rotational speed cmds
  * Uss sphere and tuned contacts for collision links
  * test sphere collision mesh and contact parameters
  * Contributors: Luca Marchionni, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-humble-pmb2-description (3.0.13-1jammy) jammy; urgency=high




=== debian/control ===
Source: ros-humble-pmb2-description
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-urdf-test <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher-gui, ros-humble-launch, ros-humble-launch-pal, ros-humble-launch-param-builder, ros-humble-launch-ros, ros-humble-pmb2-controller-configuration, ros-humble-rviz2, ros-humble-xacro, ros-humble-ros-workspace
Description: Mechanical, kinematic, visual, etc.
 description of the PMB2 robot. The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pmb2-description 5.1.2

=== debian/changelog ===
ros-humble-pmb2-description (5.1.2-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-pmb2-description (5.1.1-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-pmb2-description (5.1.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Aug 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.27-1bookworm) bookworm; urgency=high

  * Adapting gazebo parameters that was causing the base to move strangly
  * Defauld add-on-module is no-add-on
  * Contributors: David ter Kuile, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jul 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.26-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.25-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.24-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/rgbd-sensors' into 'humble-devel'
    Dtk/rgbd sensors
    See merge request robots/pmb2_robot!135
  * Change courier sensors to add-on-module
  * Change has_courier_rgbd_sensors to rgbd_sensors
  * Merge branch 'fix/set_casters_suspension_fixed' into 'humble-devel'
    Set casters and suspension joints to fixed
    See merge request robots/pmb2_robot!134
  * Set casters and suspension joints to fixed
  * Contributors: David ter Kuile, Noel Jimenez, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.23-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Dtk/move robot args
    See merge request robots/pmb2_robot!133
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.22-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/complete_std' into 'humble-devel'
    Complete std
    See merge request robots/pmb2_robot!129
  * Move _link to top file xacro
  * Remove colon from urdf
  * Update xacro of the base
  * Fix linters
  * Add public sim
  * URDF cleanup
  * Fix tests
  * Update copyright + move imu into sensors
  * Cleanup + move deg_to_rad to robot urdf
  * Bring back the parameters
  * Rename file because of dependency error, will be handled in another task
  * Unified style and namings
  * Cleaning and proper main structure
  * Launch standarization
  * Contributors: David ter Kuile, Oscar, davidterkuile, oscarmartinez, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.21-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.20-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/reduced-laser-noise' into 'humble-devel'
    reduced laser_noise
    See merge request robots/pmb2_robot!130
  * reduced laser_noise
  * Merge branch 'omm/fix/imu_proper_urdf' into 'humble-devel'
    IMU proper placement
    See merge request robots/pmb2_robot!127
  * Style and IMU proper placement
  * Contributors: Oscar, andreacapodacqua, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.19-1bookworm) bookworm; urgency=high

  * added public sim config mobile base controller and restored original laser noise
  * enable dlo sim and reduce laser noise
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.18-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.17-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.16-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-description (5.0.15-1bookworm) bookworm; urgency=high

  * Use pal_urdf_utils materials and deg_to_rad
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.14-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.13-1bookworm) bookworm; urgency=high

  * Add website tag
  * Rename description and controller modules
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.12-1bookworm) bookworm; urgency=high

  * Set use_sim_time false as default
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.11-1bookworm) bookworm; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.10-1bookworm) bookworm; urgency=high

  * fix laser_node name
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Oct 2023 16:00:00 -0000

ros-humble-pmb2-description (5.0.9-1bookworm) bookworm; urgency=high





=== debian/control ===
Source: ros-humble-pmb2-description
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-urdf-test <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/pmb2_simulation
Standards-Version: 3.9.2

Package: ros-humble-pmb2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher-gui, ros-humble-launch, ros-humble-launch-pal, ros-humble-launch-param-builder, ros-humble-launch-ros, ros-humble-pal-urdf-utils, ros-humble-rviz2, ros-humble-xacro, ros-humble-ros-workspace
Description: Mechanical, kinematic, visual, etc.
 description of the PMB2 robot. The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pmb2-description//opt/ros/humble/opt/pmb2_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
